javax.persistence.metamodel

## Enum Bindable.BindableType

- java.lang.Object
- - java.lang.Enum<Bindable.BindableType>
  - - javax.persistence.metamodel.Bindable.BindableType

- All Implemented Interfaces:
    Serializable, Comparable<Bindable.BindableType>
  Enclosing interface:
    Bindable<T>

      public static enum Bindable.BindableType
      extends Enum<Bindable.BindableType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTITY_TYPE` Entity type
    `PLURAL_ATTRIBUTE` Multi-valued attribute type
    `SINGULAR_ATTRIBUTE` Single-valued attribute type

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Bindable.BindableType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Bindable.BindableType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGULAR_ATTRIBUTE

          public static final Bindable.BindableType SINGULAR_ATTRIBUTE

      Single-valued attribute type

    - #### PLURAL_ATTRIBUTE

          public static final Bindable.BindableType PLURAL_ATTRIBUTE

      Multi-valued attribute type

    - #### ENTITY_TYPE

          public static final Bindable.BindableType ENTITY_TYPE

      Entity type

  - ### Method Detail

    - #### values

          public static Bindable.BindableType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Bindable.BindableType c : Bindable.BindableType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Bindable.BindableType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.